<?php
// supprimer un fichier et ses vignettes éventuelles
$filetodelete=getcompletefilepath($filetodelete);
$i=pathinfo($filetodelete);
unlink($filetodelete);

$vignettes=glob(CACHE_VIGNETTES.$i['filename']."*");
foreach($vignettes as $vignette){
    unlink($vignette); 
}